Public Class usrCntlSA_GestellungElemente
    Public Event ADD_ELEMENT()
    Public Event DEL_ELEMENT(c As usrCntlSA_GestellungElemente)

    
    Public Event MOVE_UP(c As usrCntlSA_GestellungElemente)
    Public Event MOVE_DOWN(c As usrCntlSA_GestellungElemente)


    Public gstmp_SendungID As Integer
    Public gstmp_Abfertigungsart_ID As Object = Nothing
    Public gstmp_FilialenNr As Object = Nothing
    Public gstmp_AbfertigungsNr As Object = Nothing
    Public gstmp_UnterNr As Object = Nothing

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        RaiseEvent ADD_ELEMENT()
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        RaiseEvent DEL_ELEMENT(Me)
    End Sub

    Private Sub Label38_Click(sender As Object, e As EventArgs) Handles Label38.Click, Label2.Click, Label1.Click
    End Sub

    Private Sub btnup_Click(sender As Object, e As EventArgs) Handles btnUp.Click
        RaiseEvent MOVE_UP(Me)
    End Sub

    Private Sub btnDown_Click(sender As Object, e As EventArgs) Handles btnDown.Click
        RaiseEvent MOVE_DOWN(Me)
    End Sub

    Private Sub usrCntlSA_GestellungElemente_Load(sender As Object, e As EventArgs) Handles Me.Load
        init()
    End Sub
    Sub init()
        lblPosNr.Text = If(gstmp_FilialenNr, "") & "/" & If(gstmp_AbfertigungsNr, "")
        If lblPosNr.Text = "/" Then lblPosNr.Text = ""
    End Sub
End Class
